local E, L, V, P, G = unpack(select(2, ...));

P.gridSize = 64
P.farmSize = 340

P['general'] = {
	['taingLog'] = false,
	['stickyFrames'] = true,
	['loginmessage'] = true,
	['interruptAnnounce'] = 'NONE',
	['autoRepair'] = 'NONE',
	['autoRoll'] = false,
	['vendorGrays'] = false,
	['autoAcceptInvite'] = false,
	['bottomPanel'] = true,
	['hideErrorFrame'] = true,
	
	['afk'] = true,
	
	['fontsize'] = 12, -- Медия\Шрифты
	['font'] = 'ElvUI Font',

	["bordercolor"] = { r = 0.1, g = 0.1, b = 0.1 },
	["backdropcolor"] = { r = 0.1, g = 0.1, b = 0.1 },
	["backdropfadecolor"] = { r = .06, g = .06, b = .06, a = 0.8 },
	["valuecolor"] = { r = 23/255, g = 132/255, b = 209/255 },
	
	['mapAlpha'] = 1,
	
	['minimap'] = { -- Мини-карта
		['size'] = 176,
		['locationText'] = 'MOUSEOVER',
	},
	['experience'] = { -- Полоса опыта
		['enable'] = true,
		['width'] = 10,
		['height'] = 180,
		['textFormat'] = 'NONE',
		['textFont'] = 'ElvUI Pixel',
		['textSize'] = 10,
		['textOutline'] = 'MONOCHROMEOUTLINE',
		['mouseover'] = false,
		['orientation'] = 'VERTICAL',
	},
	['reputation'] = { -- Полоса репутации
		['enable'] = true,
		['width'] = 10,
		['height'] = 180,
		['textFormat'] = 'NONE',
		['textFont'] = 'ElvUI Pixel',
		['textSize'] = 10,
		['textOutline'] = 'MONOCHROMEOUTLINE',
		['mouseover'] = false,
		['orientation'] = 'VERTICAL',
	},
	['threat'] = { -- Угроза
		['enable'] = true,
		['position'] = 'RIGHTCHAT',
		['textfont'] = 'ElvUI Font',
		['textSize'] = 12,
		['textOutline'] = 'OUTLINE',
	},
	['totems'] = { -- Панель тотемов
		['enable'] = true,
		['growthDirection'] = 'VERTICAL',
		['sortDirection'] = 'ASCENDING',
		['size'] = 40,
		['spacing'] = 4,
	},
	['reminder'] = {
		['enable'] = true,
		['durations'] = true,
		['font'] = 'ElvUI Pixel',
		['fontSize'] = 10,
		['fontOutline'] = 'MONOCHROMEOUTLINE'
	},
	['kittys'] = false
};

P["nameplate"] = {
	['font'] = 'ElvUI Pixel',
	['fontSize'] = 8,
	['fontOutline'] = 'MONOCHROMEOUTLINE',
	["comboPoints"] = true,
	['nonTargetAlpha'] = 0.6,
	['targetAlpha'] = 1,
	['combatHide'] = false,
	['colorNameByValue'] =  true,
	['showName'] = true,
	['wrapName'] = false,
	['showLevel'] = true,
	['targetIndicator'] = {
		['enable'] = true,
		['style'] = 'glow',
		['colorMatchHealthBar'] = false,
		['color'] = {r= 1, g = 1, b = 1},
		['width'] = 50,
		['height'] = 50,
		['yOffset'] = 0,
		['xOffset'] = 0
	},
	['healthBar'] = {
		['lowThreshold'] =  0.40,
		['width'] = 108,
		['height'] = 9,
		["colorByRaidIcon"] = false,
		['lowHPScale'] = {
			['enable'] = false,
			['width'] = 108,
			['height'] = 9,
			['toFront'] = true,
			['changeColor'] = true,
			['color'] = {r= 1, g = 0, b = 0},
		},
		['text'] = {
			['enable'] = false,
			['format'] = 'CURRENT',			
		}
	},
	['castBar'] = {
		['height'] = 6,
		['color'] = { r = 1,g = 208/255,b = 0 },
		['noInterrupt'] = { r = 0.78, g = 0.25, b = 0.25 },		
	},
	['raidIcon'] = {
		['xOffset'] = -4,
		['yOffset'] = 6,
		['size'] = 36,
		['attachTo'] = 'LEFT',
	},
	['threat'] = {
		['enable'] = true,
		['goodScale'] = 1,
		['badScale'] = 1,
		["goodColor"] = {r = 75/255,  g = 175/255, b = 76/255},
		["badColor"] = {r = 0.78, g = 0.25, b = 0.25},
		["goodTransitionColor"] = {r = 218/255, g = 197/255, b = 92/255},
		["badTransitionColor"] = {r = 240/255, g = 154/255, b = 17/255},
	},
	['buffs'] = {
		['font'] = 'ElvUI Pixel',
		['fontSize'] = 7,
		['fontOutline'] = 'MONOCHROMEOUTLINE',
		['numAuras'] = 4,
		['stretchTexture'] = true,
		['showPersonal'] = false,
		['additionalFilter'] = 'TurtleBuffs',
	},	
	['debuffs'] = {
		['font'] = 'ElvUI Pixel',
		['fontSize'] = 7,
		['fontOutline'] = 'MONOCHROMEOUTLINE',
		['numAuras'] = 4,
		['stretchTexture'] = true,
		['showPersonal'] = true,
		['additionalFilter'] = 'CCDebuffs',
	},		
	['reactions'] = {
		["tapped"] = {r = 0.6, g = 0.6, b = 0.6},
		["friendlyNPC"] = {r = 0.31, g = 0.45, b = 0.63},
		["friendlyPlayer"] = {r = 75/255,  g = 175/255, b = 76/255},
		["neutral"] = { r = 218/255, g = 197/255, b = 92/255 },
		["enemy"] = { r = 0.78, g = 0.25, b = 0.25 },	
	},
};

P['bags'] = { -- Сумки
    ['sortInverted'] = true,
	['xOffset'] = 0,
	['yOffset'] = 0,
	['xOffsetBank'] = 0,
	['yOffsetBank'] = 0,
	['bagSize'] = 34,
	['bankSize'] = 34,
	['alignToChat'] = true,
	['bagWidth'] = 350,
	['bankWidth'] = 350,
	['currencyFormat'] = 'ICON_TEXT',
	['ignoreItems'] = '',
	['itemLevel'] = true,
	['itemLevelThreshold'] = 1,
	['itemLevelFont'] = "ElvUI Pixel",
	['itemLevelFontSize'] = 10,
	['itemLevelFontOutline'] = "MONOCHROMEOUTLINE",
	['bagBar'] = {
		['growthDirection'] = 'VERTICAL',
		['sortDirection'] = 'ASCENDING',
		['size'] = 30,
		['spacing'] = 4,
		['showBackdrop'] = false,
		['mouseover'] = false,
	},
};

P["unitframe"] = {
	["smoothbars"] = false,
	["statusbar"] = "ElvUI Norm",
	["font"] = "ElvUI Pixel",
	["fontSize"] = 10,
	["fontOutline"] = "MONOCHROMEOUTLINE",
	["OORAlpha"] = 0.35,
	["debuffHighlighting"] = "FILL",
	["smartRaidFilter"] = true,
	["targetOnMouseDown"] = false,
	["auraBlacklistModifier"] = "SHIFT",
	
	["colors"] = {
		["healthclass"] = false,
		["forcehealthreaction"] = false,
		["powerclass"] = false,
		["colorhealthbyvalue"] = true,
		["customhealthbackdrop"] = false,
		["useDeadBackdrop"] = false,
		["classbackdrop"] = false,
		["auraBarByType"] = true,
		["auraBarTurtle"] = true,
		["auraBarTurtleColor"] = {r = 143/255, g = 101/255, b = 158/255},
		["transparentHealth"] = false,
		["transparentPower"] = false,
		["transparentCastbar"] = false,
		["transparentAurabars"] = false,
		["castColor"] = { r = .31,g = .31,b = .31 },
		["castNoInterrupt"] = { r = 0.78, g = 0.25, b = 0.25 },
		["castCompleteColor"] = { r = 0.12, g = 0.86, b =0.15 },
		["castFailColor"] = { r = 1.0, g = 0.09, b = 0 },
		["castClassColor"] = false,
		["castReactionColor"] = false,
		
		["health"] = { r = .31,g = .31,b = .31 },
		["health_backdrop"] = { r = .8,g = .01,b = .01 },
		["health_backdrop_dead"] = { r = .8,g = .01,b = .01 },
		["tapped"] = { r = 0.55, g = 0.57, b = 0.61},
		["disconnected"] = { r = 0.84, g = 0.75, b = 0.65},
		["auraBarBuff"] = { r = .31,g = .31,b = .31 },
		["auraBarDebuff"] = {r = 0.8, g = 0.1, b = 0.1},
		["healPrediction"] = {
			["personal"] = { r = 0, g = 1, b = 0.5, a = 0.25 },
			["others"] = { r = 0, g = 1, b = 0, a = 0.25 },
		},
		["power"] = {
			["MANA"] = {r = 0.31, g = 0.45, b = 0.63},
			["RAGE"] = {r = 0.78, g = 0.25, b = 0.25},
			["FOCUS"] = {r = 0.71, g = 0.43, b = 0.27},
			["ENERGY"] = {r = 0.65, g = 0.63, b = 0.35},
			["RUNIC_POWER"] = {r = 0, g = 0.82, b = 1}
		},
		["reaction"] = {
			["BAD"] = { r = 0.78, g = 0.25, b = 0.25 },
			["NEUTRAL"] = { r = 218/255, g = 197/255, b = 92/255 },
			["GOOD"] = { r = 75/255, g = 175/255, b = 76/255 }
		},
		["classResources"] = {
			["comboPoints"] = {
				[1] = {r = 0.69, g = 0.31, b = 0.31},
				[2] = {r = 0.69, g = 0.31, b = 0.31},
				[3] = {r = 0.65, g = 0.63, b = 0.35},
				[4] = {r = 0.65, g = 0.63, b = 0.35},
				[5] = {r = 0.33, g = 0.59, b = 0.33}
			},
			["DEATHKNIGHT"] = {
				[1] = {r = 1, g = 0, b = 0},
				[2] = {r = 0, g = 1, b = 0},
				[3] = {r = 0, g = 1, b = 1},
				[4] = {r = .9, g = .1, b = 1}
			},
			["MAGE"] = {r = 0, g = 157/255, b = 255/255}
		}
	},

	["units"] = {
		["player"] = {
			["enable"] = true,
			["width"] = 270,
			["height"] = 54,
			["lowmana"] = 30,
			["combatfade"] = false,
			["healPrediction"] = true,
			["restIcon"] = true,
			["combatIcon"] = true,
			["threatStyle"] = "GLOW",
			["smartAuraPosition"] = "DISABLED",
			["health"] = {
				["text_format"] = "[healthcolor][health:current-percent]",
				["position"] = "LEFT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "[powercolor][power:current]",
				["width"] = "fill",
				["height"] = 10,
				["offset"] = 0,
				["position"] = "RIGHT",
				["hideonnpc"] = false,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["detachFromFrame"] = false,
				["detachedWidth"] = 250,
				["attachTextToPower"] = false,
				["strataAndLevel"] = {
					["useCustomStrata"] = false,
					["frameStrata"] = "LOW",
					["useCustomLevel"] = false,
					["frameLevel"] = 1
				}
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["pvp"] = {
				["position"] = "BOTTOM",
				["text_format"] = "||cFFB04F4F[pvptimer][mouseover]||r",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 45,
				["overlay"] = false,
				["style"] = "3D",
				["detachFromFrame"] = false,
				["detachedWidth"] = 50,
				["detachedHeight"] = 50
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 8,
				["numrows"] = 1,
				["attachTo"] = "DEBUFFS",
				["anchorPoint"] = "TOPLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = true,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 8,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "TOPLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 270,
				["height"] = 18,
				["icon"] = true,
				["latency"] = true,
				["format"] = "REMAINING",
				["ticks"] = true,
				["spark"] = true,
				["displayTarget"] = false
			},
			["classbar"] = {
				["enable"] = true,
				["fill"] = "fill",
				["height"] = 10,
				["detachFromFrame"] = false,
				["detachedWidth"] = 250
			},
			["aurabar"] = {
				["enable"] = true,
				["anchorPoint"] = "ABOVE",
				["attachTo"] = "DEBUFFS",
				["maxBars"] = 6,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = true,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["maxDuration"] = 120,
				["useFilter"] = "",
				["friendlyAuraType"] = "HELPFUL",
				["enemyAuraType"] = "HARMFUL",
				["height"] = 20,
				["sort"] = "TIME_REMAINING",
				["uniformThreshold"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			}
		},
		["target"] = {
			["enable"] = true,
			["width"] = 270,
			["height"] = 54,
			["threatStyle"] = "GLOW",
			["smartAuraPosition"] = "DISABLED",
			["rangeCheck"] = true,
			["healPrediction"] = true,
			["middleClickFocus"] = true,
			["health"] = {
				["text_format"] = "[healthcolor][health:current-percent]",
				["position"] = "RIGHT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "[powercolor][power:current]",
				["width"] = "fill",
				["height"] = 10,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = true,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["detachFromFrame"] = false,
				["detachedWidth"] = 250,
				["attachTextToPower"] = false,
				["strataAndLevel"] = {
					["useCustomStrata"] = false,
					["frameStrata"] = "LOW",
					["useCustomLevel"] = false,
					["frameLevel"] = 1
				}
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium] [difficultycolor][smartlevel] [shortclassification]",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 45,
				["overlay"] = false,
				["style"] = "3D",
				["detachFromFrame"] = false,
				["detachedWidth"] = 50,
				["detachedHeight"] = 50
			},
			["buffs"] = {
				["enable"] = true,
				["perrow"] = 8,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "TOPRIGHT",
				["fontSize"] = 10,
				["clickThrough"] = false,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["playerOnly"] = {friendly = false, enemy = false},
				["noConsolidated"] = {friendly = false, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 8,
				["numrows"] = 1,
				["attachTo"] = "BUFFS",
				["anchorPoint"] = "TOPRIGHT",
				["fontSize"] = 10,
				["clickThrough"] = false,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 270,
				["height"] = 18,
				["icon"] = true,
				["format"] = "REMAINING",
				["spark"] = true,
			},
			["combobar"] = {
				["enable"] = false,
				["fill"] = "fill",
				["height"] = 10,
				["detachFromFrame"] = false,
				["detachedWidth"] = 250,
				["autoHide"] = true
			},
			["aurabar"] = {
				["enable"] = true,
				["anchorPoint"] = "ABOVE",
				["attachTo"] = "DEBUFFS",
				["maxBars"] = 6,
				["playerOnly"] = {friendly = true, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = true},
				["noConsolidated"] = {friendly = true, enemy = true},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["maxDuration"] = 120,
				["useFilter"] = "",
				["friendlyAuraType"] = "HELPFUL",
				["enemyAuraType"] = "HARMFUL",
				["height"] = 20,
				["sort"] = "TIME_REMAINING",
				["uniformThreshold"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			},
			["GPSArrow"] = {
				["enable"] = true,
				["size"] = 45,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["onMouseOver"] = true,
				["outOfRange"] = true
			}
		},
		["targettarget"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "NONE",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 130,
			["height"] = 36,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["xOffset"] = 0,
				["yOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["clickThrough"] = false,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["playerOnly"] = {friendly = true, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			},
		},
		["targettargettarget"] = {
			["enable"] = false,
			["rangeCheck"] = true,
			["threatStyle"] = "NONE",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 130,
			["height"] = 36,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = true, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			}
		},
		["focus"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 190,
			["height"] = 36,
			["healPrediction"] = true,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 35,
				["overlay"] = false,
				["style"] = "3D"
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = true, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "TOPRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 190,
				["height"] = 18,
				["icon"] = true,
				["format"] = "REMAINING",
				["spark"] = true
			},
			["aurabar"] = {
				["enable"] = false,
				["anchorPoint"] = "ABOVE",
				["attachTo"] = "FRAME",
				["maxBars"] = 6,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = true},
				["maxDuration"] = 120,
				["useFilter"] = "",
				["friendlyAuraType"] = "HELPFUL",
				["enemyAuraType"] = "HARMFUL",
				["height"] = 20,
				["sort"] = "TIME_REMAINING",
				["uniformThreshold"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			},
			["GPSArrow"] = {
				["enable"] = true,
				["size"] = 45,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["onMouseOver"] = true,
				["outOfRange"] = true
			}
		},
		["focustarget"] = {
			["enable"] = false,
			["rangeCheck"] = true,
			["threatStyle"] = "NONE",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 190,
			["height"] = 26,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["power"] = {
				["enable"] = false,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = true, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10
			}
		},
		["pet"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 130,
			["height"] = 36,
			["healPrediction"] = true,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["buffIndicator"] = {
				["enable"] = true,
				["size"] = 8,
				["fontSize"] = 10
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 130,
				["height"] = 18,
				["icon"] = true,
				["format"] = "REMAINING",
				["spark"] = true
			}
		},
		["pettarget"] = {
			["enable"] = false,
			["rangeCheck"] = true,
			["threatStyle"] = "NONE",
			["smartAuraPosition"] = "DISABLED",
			["width"] = 130,
			["height"] = 26,
			["health"] = {
				["text_format"] = "",
				["position"] = "RIGHT",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["power"] = {
				["enable"] = false,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "LEFT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:medium]",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 7,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMLEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = true, enemy = false},
				["noConsolidated"] = {friendly = true, enemy = false},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = true, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 5,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "BOTTOMRIGHT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = true},
				["useBlacklist"] = {friendly = true, enemy = true},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["onlyDispellable"] = {friendly = false, enemy = false},
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0
			}
		},
		["boss"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["growthDirection"] = "DOWN",
			["width"] = 216,
			["height"] = 46,
			["spacing"] = 25,
			["health"] = {
				["text_format"] = "[healthcolor][health:current]",
				["position"] = "TOPRIGHT",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "[powercolor][power:current]",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "BOTTOMRIGHT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 35,
				["overlay"] = false,
				["style"] = "3D"
			},
			["name"] = {
				["position"] = "LEFT",
				["text_format"] = "[namecolor][name:medium]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = true,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["noConsolidated"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 11,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
				["sizeOverride"] = 22,
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 3,
				["numrows"] = 2,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = -11,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
				["sizeOverride"] = 22,
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 215,
				["height"] = 18,
				["icon"] = true,
				["format"] = "REMAINING",
				["spark"] = true,
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
		},
		["arena"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["growthDirection"] = "DOWN",
			["spacing"] = 25,
			["width"] = 240,
			["height"] = 47,
			["healPrediction"] = true,
			["colorOverride"] = "USE_DEFAULT",
			["health"] = {
				["text_format"] = "[healthcolor][health:current]",
				["position"] = "TOPRIGHT",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "[powercolor][power:current]",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "BOTTOMRIGHT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["name"] = {
				["position"] = "LEFT",
				["text_format"] = "[namecolor][name:medium]",
				["yOffset"] = 0,
				["xOffset"] = 0
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 35,
				["overlay"] = false,
				["style"] = "3D"
			},
			["buffs"] = {
				["enable"] = true,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = false},
				["noConsolidated"] = {friendly = false, enemy = false},
				["useBlacklist"] = {friendly = false, enemy = false},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["useFilter"] = "TurtleBuffs",
				["onlyDispellable"] = {friendly = false, enemy = false},
				["sizeOverride"] = 22,
				["xOffset"] = 0,
				["yOffset"] = 12,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = {friendly = false, enemy = false},
				["useBlacklist"] = {friendly = false, enemy = false},
				["useWhitelist"] = {friendly = false, enemy = false},
				["noDuration"] = {friendly = false, enemy = false},
				["useFilter"] = "CCDebuffs",
				["onlyDispellable"] = {friendly = false, enemy = false},
				["sizeOverride"] = 22,
				["xOffset"] = 0,
				["yOffset"] = -13,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["castbar"] = {
				["enable"] = true,
				["width"] = 240,
				["height"] = 18,
				["icon"] = true,
				["format"] = "REMAINING",
				["spark"] = true
			},
			["pvpTrinket"] = {
				["enable"] = true,
				["position"] = "RIGHT",
				["size"] = 46,
				["xOffset"] = 1,
				["yOffset"] = 0
			},
		},
		["party"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["visibility"] = "[@raid6,exists][nogroup] hide;show",
			["growthDirection"] = "UP_RIGHT",
			["horizontalSpacing"] = 0,
			["verticalSpacing"] = 3,
			["numGroups"] = 1,
			["groupsPerRowCol"] = 1,
			["groupBy"] = "GROUP",
			["sortDir"] = "ASC",
			["showPlayer"] = true,
			["healPrediction"] = false,
			["colorOverride"] = "USE_DEFAULT",
			["width"] = 180,
			["height"] = 44,
			["health"] = {
				["text_format"] = "[healthcolor][health:current-percent]",
				["position"] = "TOPRIGHT",
				["orientation"] = "HORIZONTAL",
				["frequentUpdates"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "[powercolor][power:current]",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "BOTTOMRIGHT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["name"] = {
				["position"] = "LEFT",
				["text_format"] = "[namecolor][name:medium] [difficultycolor][smartlevel]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["portrait"] = {
				["enable"] = false,
				["width"] = 35,
				["overlay"] = false,
				["style"] = "3D"
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["debuffs"] = {
				["enable"] = true,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "RIGHT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
				["sizeOverride"] = 44,
			},
			["buffIndicator"] = {
				["enable"] = true,
				["size"] = 8,
				["fontSize"] = 10,
			},
			["roleIcon"] = {
				["enable"] = true,
				["position"] = "CENTER",
				["size"] = 15
			},
			["raidRoleIcons"] = {
				["enable"] = true,
				["position"] = "TOPLEFT",
			},
			["petsGroup"] = {
				["enable"] = false,
				["width"] = 100,
				["height"] = 22,
				["anchorPoint"] = "TOPLEFT",
				["xOffset"] = -1,
				["yOffset"] = 0,
			},
			["targetsGroup"] = {
				["enable"] = false,
				["width"] = 100,
				["height"] = 22,
				["anchorPoint"] = "TOPLEFT",
				["xOffset"] = -1,
				["yOffset"] = 0,
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
			["GPSArrow"] = {
				["enable"] = true,
				["size"] = 45,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["onMouseOver"] = true,
				["outOfRange"] = true
			}
		},
		["raid"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["visibility"] = "[@raid6,noexists][@raid26,exists] hide;show",
			["growthDirection"] = "RIGHT_DOWN",
			["horizontalSpacing"] = 3,
			["verticalSpacing"] = 3,
			["numGroups"] = 5,
			["groupsPerRowCol"] = 1,
			["groupBy"] = "GROUP",
			["sortDir"] = "ASC",
			["showPlayer"] = true,
			["healPrediction"] = false,
			["colorOverride"] = "USE_DEFAULT",
			["width"] = 80,
			["height"] = 44,
			["health"] = {
				["text_format"] = "[healthcolor][health:deficit]",
				["position"] = "BOTTOM",
				["orientation"] = "HORIZONTAL",
				["frequentUpdates"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["power"] = {
				["enable"] = true,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "BOTTOMRIGHT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["name"] = {
				["position"] = "TOP",
				["text_format"] = "[namecolor][name:short]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["bossAuras"] = true,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "RIGHT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["bossAuras"] = true,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["buffIndicator"] = {
				["enable"] = true,
				["size"] = 8,
				["fontSize"] = 10,
			},
			["rdebuffs"] = {
				["enable"] = true,
				["fontSize"] = 10,
				["size"] = 26,
			},
			["roleIcon"] = {
				["enable"] = true,
				["position"] = "BOTTOMRIGHT",
				["size"] = 15,
			},
			["raidRoleIcons"] = {
				["enable"] = true,
				["position"] = "TOPLEFT",
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
			["GPSArrow"] = {
				["enable"] = true,
				["size"] = 40,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["onMouseOver"] = true,
				["outOfRange"] = true
			}
		},
		["raid40"] = {
			["enable"] = true,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["visibility"] = "[@raid26,noexists] hide;show",
			["growthDirection"] = "RIGHT_DOWN",
			["horizontalSpacing"] = 3,
			["verticalSpacing"] = 3,
			["numGroups"] = 8,
			["groupsPerRowCol"] = 1,
			["groupBy"] = "GROUP",
			["sortDir"] = "ASC",
			["showPlayer"] = true,
			["healPrediction"] = false,
			["colorOverride"] = "USE_DEFAULT",
			["width"] = 80,
			["height"] = 26,
			["health"] = {
				["text_format"] = "",
				["position"] = "BOTTOM",
				["orientation"] = "HORIZONTAL",
				["frequentUpdates"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["power"] = {
				["enable"] = false,
				["text_format"] = "",
				["width"] = "fill",
				["height"] = 7,
				["offset"] = 0,
				["position"] = "BOTTOMRIGHT",
				["hideonnpc"] = false,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["name"] = {
				["position"] = "CENTER",
				["text_format"] = "[namecolor][name:short]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "RIGHT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["rdebuffs"] = {
				["enable"] = false,
				["fontSize"] = 10,
				["size"] = 22,
			},
			["roleIcon"] = {
				["enable"] = false,
				["position"] = "BOTTOMRIGHT",
			},
			["raidRoleIcons"] = {
				["enable"] = true,
				["position"] = "TOPLEFT",
			},
			["buffIndicator"] = {
				["enable"] = true,
				["size"] = 8,
				["fontSize"] = 10,
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
			["GPSArrow"] = {
				["enable"] = true,
				["size"] = 45,
				["xOffset"] = 0,
				["yOffset"] = 0,
				["onMouseOver"] = true,
				["outOfRange"] = true
			}
		},
		["raidpet"] = {
			["enable"] = false,
			["rangeCheck"] = true,
			["threatStyle"] = "GLOW",
			["visibility"] = "[group:raid] show; hide",
			["growthDirection"] = "DOWN_RIGHT",
			["horizontalSpacing"] = 3,
			["verticalSpacing"] = 3,
			["numGroups"] = 2,
			["groupsPerRowCol"] = 1,
			["groupBy"] = "PETNAME",
			["sortDir"] = "ASC",
			["raidWideSorting"] = true,
			["invertGroupingOrder"] = false,
			["startFromCenter"] = false,
			["healPrediction"] = false,
			["colorOverride"] = "USE_DEFAULT",
			["width"] = 80,
			["height"] = 30,
			["health"] = {
				["text_format"] = "[healthcolor][health:deficit]",
				["position"] = "BOTTOM",
				["orientation"] = "HORIZONTAL",
				["frequentUpdates"] = true,
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["name"] = {
				["position"] = "TOP",
				["text_format"] = "[namecolor][name:short]",
				["yOffset"] = 0,
				["xOffset"] = 0,
			},
			["buffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "LEFT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = true,
				["noConsolidated"] = true,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = true,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["debuffs"] = {
				["enable"] = false,
				["perrow"] = 3,
				["numrows"] = 1,
				["attachTo"] = "FRAME",
				["anchorPoint"] = "RIGHT",
				["fontSize"] = 10,
				["countFontSize"] = 10,
				["sortMethod"] = "TIME_REMAINING",
				["sortDirection"] = "DESCENDING",
				["clickThrough"] = false,
				["playerOnly"] = false,
				["useBlacklist"] = true,
				["useWhitelist"] = false,
				["noDuration"] = false,
				["onlyDispellable"] = false,
				["useFilter"] = "",
				["xOffset"] = 0,
				["yOffset"] = 0,
				["xSpacing"] = 0,
				["ySpacing"] = 0,
			},
			["buffIndicator"] = {
				["enable"] = true,
				["size"] = 8,
				["fontSize"] = 10,
			},
			["rdebuffs"] = {
				["enable"] = true,
				["fontSize"] = 10,
				["size"] = 26,
				["xOffset"] = 0,
				["yOffset"] = 2,
			},
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
		},
		["tank"] = {
			["enable"] = true,
			["threatStyle"] = "GLOW",
			["rangeCheck"] = true,
			["width"] = 120,
			["height"] = 28,
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
			["targetsGroup"] = {
				["enable"] = true,
				["anchorPoint"] = "RIGHT",
				["xOffset"] = 1,
				["yOffset"] = 0,
				["width"] = 120,
				["height"] = 28,
			},
		},
		["assist"] = {
			["enable"] = true,
			["threatStyle"] = "GLOW",
			["rangeCheck"] = true,
			["width"] = 120,
			["height"] = 28,
			["raidicon"] = {
				["enable"] = true,
				["size"] = 18,
				["attachTo"] = "TOP",
				["xOffset"] = 0,
				["yOffset"] = 10,
			},
			["targetsGroup"] = {
				["enable"] = true,
				["anchorPoint"] = "RIGHT",
				["xOffset"] = 1,
				["yOffset"] = 0,
				["width"] = 120,
				["height"] = 28,
			},
		},
	},
}

P['auras'] = {
	['font'] = 'ElvUI Pixel',
	['fontSize'] = 10,
	['fontOutline'] = 'MONOCHROMEOUTLINE',
	['countYOffset'] = 0,
	['countXOffset'] = 0,
	['timeYOffset'] = 0,
	['timeXOffset'] = 0,
	
	['fadeThreshold'] = 5,
	['buffs'] = {
		['growthDirection'] = 'LEFT_DOWN',
		['wrapAfter'] = 12,
		['maxWraps'] = 3,
		['horizontalSpacing'] = 6,
		['verticalSpacing'] = 16,
		['sortMethod'] = "TIME",
		['sortDir'] = '-',
		['seperateOwn'] = 1,
		['size'] = 32
	},
	['debuffs'] = {
		['growthDirection'] = 'LEFT_DOWN',
		['wrapAfter'] = 12,
		['maxWraps'] = 1,
		['horizontalSpacing'] = 6,
		['verticalSpacing'] = 16,		
		['sortMethod'] = "TIME",
		['sortDir'] = '-',
		['seperateOwn'] = 1,
		['size'] = 32
	},
}

P['chat'] = { -- Чат
	['lockPositions'] = true,
	['url'] = true,
	['shortChannels'] = true,
	['hyperlinkHover'] = true,
	['throttleInterval'] = 45,
	['scrollDownInterval'] = 15,
	['fade'] = true,
	['font'] = 'ElvUI Font',
	['fontOutline'] = 'NONE',
	['sticky'] = true,
	['emotionIcons'] = true,
	['keywordSound'] = 'None',
	['whisperSound'] = 'ElvUI Aska',
	["noAlertInCombat"] = false,
	['chatHistory'] = true,
	['timeStampFormat'] = 'NONE',
	['keywords'] = '%MYNAME%, ElvUI',
	['separateSizes'] = false,
	['panelWidth'] = 412,
	['panelHeight'] = 180,
	['panelWidthRight'] = 412,
	['panelHeightRight'] = 180,
	['panelBackdropNameLeft'] = '',
	['panelBackdropNameRight'] = '',
	['panelBackdrop'] = 'SHOWBOTH',
	['panelTabBackdrop'] = false,
	['panelTabTransparency'] = false,
	['editBoxPosition'] = 'BELOW_CHAT',
	['fadeUndockedTabs'] = true,
	['fadeTabsNoBackdrop'] = true,
	
	['tabFont'] = 'ElvUI Font',
	['tabFontSize'] = 12,
	['tabFontOutline'] = 'NONE',
}

P['datatexts'] = { -- Инфо-тексты
	['font'] = 'ElvUI Font',
	['fontSize'] = 12,
	['fontOutline'] = 'NONE',
	['panels'] = { -- Панели
		['LeftChatDataPanel'] = { -- Левая панель
			['left'] = ARMOR, -- Слева
			['middle'] = DURABILITY, -- В центре
			['right'] = DEFENSE, -- Справа
		},
		['RightChatDataPanel'] = { -- Правая панель
			['left'] = L['System'], -- Слева
			['middle'] = L['Time'], -- В центер
			['right'] = L['Gold'], -- Справа
		},
		['LeftMiniPanel'] = GUILD, -- Миникарта, слева
		['RightMiniPanel'] = L['Friends'], -- Миникарта, справа
	},
	['localtime'] = true,
	['time24'] = true,
	['battleground'] = true,
	['minimapPanels'] = true,
	['leftChatPanel'] = true,
	['rightChatPanel'] = true,
	['panelTransparency'] = false,
}

P['tooltip'] = {
	['cursorAnchor'] = false,
	['targetInfo'] = true,
	['playerTitles'] = true,
	['guildRanks'] = true,
	['inspectInfo'] = true,
	['itemCount'] = 'BAGS_ONLY',
	['spellID'] = true,
	["font"] = "ElvUI Font",
	["fontOutline"] = "NONE",
	["headerFontSize"] = 12,
	["textFontSize"] = 12,
	["smallTextFontSize"] = 12,
	['visibility'] = {
		['unitFrames'] = 'NONE',
		["bags"] = "NONE",
		["actionbars"] = "NONE",
		['combat'] = false
	},
	['healthBar'] = {
		['text'] = true,
		['height'] = 7,
		['font'] = 'ElvUI Pixel',
		['fontSize'] = 10,
	},
	['useCustomFactionColors'] = false,
	['factionColors'] = {
		['1'] = { r = 0.8, g = 0.3, b = 0.22 },
		['2'] = { r = 0.8, g = 0.3, b = 0.22 },
		['3'] = { r = 0.75, g = 0.27, b = 0 },
		['4'] = { r = 0.9, g = 0.7, b = 0 },
		['5'] = { r = 0, g = 0.6, b = 0.1 },
		['6'] = { r = 0, g = 0.6, b = 0.1 },
		['7'] = { r = 0, g = 0.6, b = 0.1 },
		['8'] = { r = 0, g = 0.6, b = 0.1 }
	}
};

P["cooldown"] = {
	threshold = 3,
	expiringColor = { r = 1, g = 0, b = 0 },
	secondsColor = { r = 1, g = 1, b = 0 },
	minutesColor = { r = 1, g = 1, b = 1 },
	hoursColor = { r = 0.4, g = 1, b = 1 },
	daysColor = { r = 0.4, g = 0.4, b = 1 },
}

P['actionbar'] = { -- Панели команд
	['font'] = 'ElvUI Pixel',
	['fontSize'] = 10,
	['fontOutline'] = 'MONOCHROMEOUTLINE',
	
	['enable'] = true,
	['macrotext'] = false,
	['hotkeytext'] = true,
	
	['noRangeColor'] = { r = 0.8, g = 0.1, b = 0.1 },
	['noPowerColor'] = { r = 0.5, g = 0.5, b = 1 },
	
	['enablecd'] = true,
	['treshold'] = 3,
	['microbar'] = {
		['enabled'] = false,
		['Scale'] = 1,
		['xOffset'] = 1,
		['yOffset'] = 1,
		['buttonsPerRow'] = 10,
		['alpha'] = 1,
		['mouseover'] = false
	},
	['bar1'] = { -- Панель 1
		['enabled'] = true,
		['buttons'] = 12,
		['mouseover'] = false,
		['buttonsPerRow'] = 12,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'BOTTOMLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {
			['DRUID'] = '[bonusbar:1,nostealth] 7; [bonusbar:1,stealth] 8; [bonusbar:2] 8; [bonusbar:3] 9; [bonusbar:4] 10;',
			['WARRIOR'] = '[bonusbar:1] 7; [bonusbar:2] 8; [bonusbar:3] 9;',
			['PRIEST'] = '[bonusbar:1] 7;',
			['ROGUE'] = '[bonusbar:1] 7; [form:3] 7;',	
		},
		['visibility'] = '',
	},
	['bar2'] = { -- Панель 2
		['enabled'] = false,
		['mouseover'] = false,
		['buttons'] = 12,
		['buttonsPerRow'] = 12,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'BOTTOMLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {},
		['visibility'] = '[vehicleui] hide;show',
	},
	['bar3'] = { -- Панель 3
		['enabled'] = true,
		['mouseover'] = false,
		['buttons'] = 6,
		['buttonsPerRow'] = 6,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'BOTTOMLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {},
		['visibility'] = '[vehicleui] hide;show',
	},
	['bar4'] = { -- Панель 4
		['enabled'] = true,
		['mouseover'] = false,
		['buttons'] = 12,
		['buttonsPerRow'] = 1,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'TOPRIGHT',
		['backdrop'] = true,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {},
		['visibility'] = '[vehicleui] hide;show',
	},
	['bar5'] = { -- Панель 5
		['enabled'] = true,
		['mouseover'] = false,
		['buttons'] = 6,
		['buttonsPerRow'] = 6,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'BOTTOMLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {},
		['visibility'] = '[vehicleui] hide;show',
	},
	['bar6'] = { -- Панель 6
		['enabled'] = true,
		['mouseover'] = false,
		['buttons'] = 6,
		['buttonsPerRow'] = 6,
		['buttonsize'] = 32,
		['buttonspacing'] = 2,
		['point'] = 'BOTTOMLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['paging'] = {},
		['visibility'] = '[vehicleui] hide;show',
	},
	['barPet'] = { -- Панель питомца
		['enabled'] = true,
		['mouseover'] = false,
		['buttons'] = NUM_PET_ACTION_SLOTS,
		['buttonsPerRow'] = 1,
		['buttonsize'] = 28,
		['buttonspacing'] = 2,
		['point'] = 'TOPRIGHT',
		['backdrop'] = true,
		['heightMult'] = 1,
		['widthMult'] = 1,
		['alpha'] = 1,
		['visibility'] = '[pet,novehicleui,nobonusbar:5] show;hide',
	},
	['barShapeShift'] = { -- Панель стоек
		['enabled'] = true,
		['style'] = 'darkenInactive',
		['mouseover'] = false,
		['buttonsPerRow'] = NUM_SHAPESHIFT_SLOTS,
		['buttons'] = NUM_SHAPESHIFT_SLOTS,
		['point'] = 'TOPLEFT',
		['backdrop'] = false,
		['heightMult'] = 1,
		['widthMult'] = 1,
		["buttonsize"] = 32,
		["buttonspacing"] = 2,
		['alpha'] = 1,
	},
	['barTotem'] = {
		['enabled'] = true,
		['mouseover'] = false,
	},
};